import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  sortOrder: SortOrderSchema.optional()
}).strict();
export const NpiProviderAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.NpiProviderAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.NpiProviderAvgOrderByAggregateInput>;
export const NpiProviderAvgOrderByAggregateInputObjectZodSchema = makeSchema();
